apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  name: macaddr
spec:
  replicas: 3
  template:
    metadata:
      labels:
        app: macaddr
    spec:
      containers:
      - name: main
        image: registry.gitlab.com/ferris.eris/macaddr:latest
        ports:
        - containerPort: 5000
---
kind: Service
apiVersion: v1
metadata:
  name: macaddr
  labels:
    app: macaddr
spec:
  ports:
  - name: main
    protocol: TCP
    port: 5000
  selector:
    app: macaddr
---
apiVersion: v1
kind: Service
metadata:
  #name: macaddr-nodeport
  name: macaddr-loadbalancer
spec:
  #type: NodePort
  type: LoadBalancer
  ports:
  - port: 80
    protocol: TCP
    targetPort: 5000
  selector:
    app: macaddr
